itunes wont open as i need a more recent quicktime

Discussion in 'Mac Apps and Mac App Store' started by katieh97, Nov 22, 2009.

  1. katieh97 macrumors newbie

    Nov 22, 2009
    but the most recent quicktime wont upload as i need mac os x 10.5. i think this happened when i just routinely upgraded everything, but is there some way i can un-upgrade itunes?
  2. LynnFOB macrumors newbie

    Dec 25, 2009
    same problem

    I am having the same problem, and i dont know what to do.
  3. JediMeister macrumors 68040

    Oct 9, 2008
    How old are your respective computers? QuickTime 7.6.4 will run on 10.4 and higher...

Share This Page